
/* ***************************  Definitions  ************************** */
{System/conversion/conversion_progress.i}
DEFINE VARIABLE iDone    AS INTEGER     NO-UNDO.
DEFINE VARIABLE iTotal   AS INTEGER     NO-UNDO.

/* ********************  Preprocessor Definitions  ******************** */
&SCOPED-DEFINE action  'De dadelijk te wissen ca-u_tariff.max_number veilig stellen door een ca-u_tariff_max record ervan aan te maken'
&SCOPED-DEFINE base    10
&SCOPED-DEFINE TABLE   'ca-u_tariff'
&SCOPED-DEFINE program THIS-PROCEDURE:FILE-NAME

/* ***************************  Main Block  *************************** */
DISABLE TRIGGERS FOR LOAD OF ca-u_tariff_max.
DEFINE BUFFER b-ca-u_tariff_max FOR ca-u_tariff_max.

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

/* even tellen , niet echt noodzakelijk .. */
FOR EACH ca-u_tariff FIELDS (max_number) NO-LOCK WHERE
         ca-u_tariff.max_number NE "" :
 iTotal = iTotal + 1.
 IF iTotal MODULO {&base} EQ 0
 THEN RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
END. /*ca-u_tariff*/

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

/* Voorbeeld B */
iDone = 0.
RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

record:
FOR EACH ca-u_tariff FIELDS (max_number tariff_seqnr tariff companycode) NO-LOCK WHERE
         ca-u_tariff.max_number NE "" :
   iDone = iDone  + 1.
   IF iDone MODULO {&base} EQ 0
   THEN RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
   IF CAN-FIND(FIRST ca-u_tariff_max WHERE
                     ca-u_tariff_max.companycode  EQ ca-u_tariff.companycode
                 AND ca-u_tariff_max.tariff_seqnr EQ ca-u_tariff.tariff_seqnr
                 AND STRING(ca-u_tariff_max.max_number) EQ ca-u_tariff.max_number)
   THEN NEXT record.

   DO TRANSACTION :
      CREATE b-ca-u_tariff_max.
      ASSIGN b-ca-u_tariff_max.companycode  = ca-u_tariff.companycode
             b-ca-u_tariff_max.tariff_seqnr = ca-u_tariff.tariff_seqnr
             b-ca-u_tariff_max.tariff       = ca-u_tariff.tariff
             b-ca-u_tariff_max.remarks      = ''
             b-ca-u_tariff_max.max_number   = INTEGER(ca-u_tariff.max_number).
   END. /*transaction*/
END. /*ca-u_tariff*/

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
