
/* ***************************  Definitions  ************************** */
{System/conversion/conversion_progress.i}
DEFINE VARIABLE iDone  AS INTEGER NO-UNDO.
DEFINE VARIABLE iTotal AS INTEGER NO-UNDO.

/* ********************  Preprocessor Definitions  ******************** */
&SCOPED-DEFINE action  'Quatation sequence nr IN de shipment ITEM vullen.'
&SCOPED-DEFINE base    171
&SCOPED-DEFINE TABLE   'b-ca-u_shipment_item'
&SCOPED-DEFINE program THIS-PROCEDURE:FILE-NAME

/* ***************************  Main Block  *************************** */
DISABLE TRIGGERS FOR LOAD OF ca-u_shipment_item.
DEFINE BUFFER b-ca-u_shipment_item FOR ca-u_shipment_item.

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

iTotal = 0.

/*/* even tellen , niet echt noodzakelijk .. */
FOR EACH b-ca-u_shipment_item FIELDS (max_number) NO-LOCK WHERE
         b-ca-u_shipment_item.max_number NE "" :
 iTotal = iTotal + 1.
 IF iTotal MODULO {&base} EQ 0
 THEN RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
END. /*b-ca-u_shipment_item*/
*/

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

/* Voorbeeld B */
iDone = 0.
RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).

record:
FOR EACH b-ca-u_shipment_item FIELDS (shipment_seqnr quotation_seqnr companycode) EXCLUSIVE-LOCK WHERE
  b-ca-u_shipment_item.quotation_seqnr      EQ 0 AND  
  b-ca-u_shipment_item.quotation_item_seqnr NE 0 
  ,
  FIRST ca-u_shipment FIELDS (ca-u_shipment.quotation_seqnr) NO-LOCK WHERE 
  ca-u_shipment.companycode EQ b-ca-u_shipment_item.companycode AND
  ca-u_shipment.shipment_seqnr EQ b-ca-u_shipment_item.shipment_seqnr :
            
  b-ca-u_shipment_item.quotation_seqnr = ca-u_shipment.quotation_seqnr .
      
  iDone = iDone  + 1.
  IF iDone MODULO {&base} EQ 0
    THEN RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
   
END. /*b-ca-u_shipment_item*/

RUN DisplayProgress ({&program},{&action},{&table},iTotal,iDone).
