DEF VAR iTelPOD     AS INT NO-UNDO.
DEF VAR iAgentnrPOL AS INT NO-UNDO.

FOR EACH ca-u_shipment_address WHERE 
         ca-u_shipment_address.companycode = "EUC" 
     AND ca-u_shipment_address.qualifier   = "AGENT POD"
     AND ca-u_shipment_address.addressnr  <> 0 NO-LOCK:
    
  FIND FIRST ca-u_shipment WHERE
             ca-u_shipment.companycode = "EUC"
         AND ca-u_shipment.shipment_seqnr = ca-u_shipment_address.shipment_seqnr NO-LOCK.
  iAgentnrPOL = ca-u_shipment.bookingagentnr.

  IF iAgentnrPOL = ca-u_shipment_address.addressnr 
  THEN DO:
    FIND FIRST ca-u_shipment_agents WHERE
               ca-u_shipment_agents.companycode     = ca-u_shipment_address.companycode
           AND ca-u_shipment_agents.shipment_seqnr  = ca-u_shipment_address.shipment_seqnr
           AND ca-u_shipment_agents.agent_addressnr = ca-u_shipment_address.addressnr EXCLUSIVE-LOCK NO-ERROR.

    IF AVAILABLE ca-u_shipment_agents
    THEN DO:
      ASSIGN ca-u_shipment_agents.des = "POL+POD"
           iTelPOD = iTelPOD + 1.
    END.
  END.
END.

MESSAGE iTelPOD "Records updated!" VIEW-AS ALERT-BOX.
